@import url("https://fonts.googleapis.com/css2?family=Afacad:ital,wght@0,400..700;1,400..700&display=swap");

.slot__img img {
    width: 99%;
    height: 100%;
    object-fit: cover;
}

.hero__content {
    min-height: 200px;
}

#comm100-float-button-bad0bc23-9782-4b4c-a3a7-69b5688a7a86-2 {
    display: none !important;
}

@media screen and (max-width: 390px) {
    .hero--main .hero__content {
        min-height: 200px;
    }
}

.hero__bg img {
    object-fit: contain;
}

.hero {
    background: #14141400;
}

.bottomMenuWidgetImage {
    width: 100%;
    height: auto;
}

.bottomMenuWidgedContainer {
    display: flex;
    justify-content: space-between;
    gap: 10px;
    width: 100%;
    margin: 0 auto;
    /* padding: 10px; */
}





.otherGames {
    font-family: "Afacad", serif;
}

.otherGamesHeader {
    font-size: 24px;
    font-weight: bold;
    background: linear-gradient(90deg, #fff 0%, #999 100%);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.otherGamesComponent {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 1px;
    margin: 0 auto;
    padding: 10px;
}

.otherGamesComponentLayout {
    flex: 1 1 calc(25% - 10px);
    text-align: center;
}

.otherGamesComponentLayoutImg {
    width: 100%;
    height: auto;
}




.hm-row-bc {
    display: grid;
    gap: 10px;
}

.hm-row-bc:not(:first-child:empty)+.hm-row-bc {
    margin-top: 20px;
}

.pb-component-wrapper {
    display: grid;
}

.sdr-image-bc {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: max-height .24s linear;
}

.sdr-item-bc {
    display: block;
    width: 100%;
    height: 100%;
    position: relative;
    overflow: hidden;
}

.sdr-item-holder-bc {
    cursor: pointer;
    /* position: relative; */
    width: 100%;
    height: 100%;
}

.carousel-slide {
    flex-shrink: 0;
    position: relative;
}

.carousel-container {
    display: flex;
}

.carousel-viewport {
    overflow: hidden;
}

.carousel {
    position: relative;
}

.has-game.has-slider .slider-bc:not(.has-title) {
    padding-top: 0px;
}

.slider-bc {
    min-width: 0;
    position: relative;
}

.casino-game-image-bc {
    width: 100%;
    height: 100%;
    display: block;
    cursor: pointer;
    /* position: absolute; */
    top: 0;
    left: 0;
    transition: filter .24s;
}

.casino-game-item {
    box-shadow: 0 0 6px red;
    /* padding-top: 60%; */
    border-radius: 14px !important;
    overflow: hidden;
    position: relative;
    border: 1px solid red;
    box-shadow: 5px 0px 25px 0.3px var(--tf-active);
}

.games-horiz-scroll {
    grid-template-columns: repeat(5, 1fr);
    display: grid;
    grid-auto-flow: column;
    grid-gap: 10px;
    height: 100%;
}

.games-horiz {
    overflow: hidden;
    height: 100%;
}

.games-content {
    overflow: hidden;
}

.casino-game-item-content {
    display: grid;
}





.hm-row-bc {
    display: grid;
    gap: 10px;
    font-family: "Afacad", serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
}

.hm-row-bc:not(:first-child:empty)+.hm-row-bc {
    margin-top: 2px;
}

.pb-component-wrapper {
    display: grid;
}

.sdr-image-bc {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: max-height .24s linear;
}

.sdr-item-bc {
    display: block;
    width: 100%;
    height: 100%;
    position: relative;
    overflow: hidden;
}

.sdr-item-holder-bc {
    cursor: pointer;
    /* position: relative; */
    width: 100%;
    height: 100%;
}

.carousel-slide {
    flex-shrink: 0;
    position: relative;
}

.carousel-container {
    display: flex;
}

.carousel-viewport {
    overflow: hidden;
}

.carousel {
    position: relative;
}

.has-game.has-slider .slider-bc:not(.has-title) {
    padding-top: 0px;
}

.slider-bc {
    min-width: 0;
    position: relative;
}

.casino-game-image-bc {
    width: 100%;
    height: 100%;
    display: block;
    cursor: pointer;
    /* position: absolute; */
    top: 0;
    left: 0;
    transition: filter .24s;
}

.games-horiz-scroll {
    grid-template-columns: repeat(5, 1fr);
    display: grid;
    grid-auto-flow: column;
    grid-gap: 10px;
    height: 100%;
}

.games-horiz {
    overflow: hidden;
    height: 100%;
}

.games-content {
    overflow: hidden;
}

.casino-game-item-content {
    display: grid;
}

.casino-game-item-content {
    position: relative;
    overflow: hidden;
    border-radius: 14px;
}

/* .casino-game-item img {
        transition: transform 0.3s ease, filter 0.3s ease;
      }
      .casino-game-item:hover img {
        transform: scale(1.1);
        filter: blur(5px);
        opacity: 1;
        object-fit: cover;
        transition: transform 0.3s ease, filter 0.3s ease, opacity 0.3s ease;
      } */
.overlay {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    opacity: 0;
    transition: opacity 0.3s ease;
}

.casino-game-item:hover .overlay {
    opacity: 1;
}

.overlay a {
    text-decoration: none;
    color: white;
    text-wrap: nowrap;
    font-weight: 600;
    padding: 10px 20px;
    background-color: red;
    border-radius: 5px;
}


.manual-buttons {
    display: flex;
    gap: 10px;
}

.buttonsContainer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 30px;
}

.buttonsContainer a {
    text-decoration: none;
}

#splide01 {
    max-width: 1226px;
    margin: auto;
}

.manual-redi-button {
    background-image: var(--tf-cool-button);
    text-align: center;
    transition: 0.5s;
    background-size: 200% auto;
    color: white;
    border-radius: 10px;
    padding-left: 10px;
    padding-right: 10px;
    display: flex;
    height: 42px;
    justify-content: center;
    align-items: center;
    /* border: 1px solid var(--tf-active); */
    /* box-shadow: 5px 0px 25px 0.3px var(--tf-active); */
    letter-spacing: 1.5px;
    min-width: 45px;
    line-height: 17px;
}

.manual-redi-button:hover {
    background-position: right center;
    /* change the direction of the change here */
    color: #fff;
    text-decoration: none;
}

.button-section {
    display: flex;
    gap: 15px;
    border-right: 1px solid #5B5B5B;
    padding-right: 14px;
}


@media (max-width: 768px) {
    /* #main-slider > .container:first-of-type {
  padding: 0px !important;
} */

    #mini-games-wrapper .swiper-slide .mini-game {
        min-height: 156px !important;
        max-height: 156px !important;
    }
}

@media (min-width: 768px) {
    .sidebar__big {
        padding: 0px 16px !important;
    }

    #mini-games-wrapper .swiper-slide {
        width: 25% !important;
    }
}


@media (max-width: 1155px) {
    .modal__sign-img {
        display: none !important;
    }

    /* #main-slider .swiper-wrapper .swiper-slide {
    width: 100% !important;
    margin-right: 0px !important;
  } */

    .custom--providers--link {
        width: 90px !important;
        padding: 0px 5px !important;
    }

    /* .otherGames {
    padding: 0px 16px !important;
  } */

    /* .sport-card {
    margin: 4px !important;
  } */

    .right__col {
        width: 100% !important;
        float: auto !important;
    }

    /* .sport-card-2,
  .sport-card-5 {
    margin: 0px 8px;
  } */

    /* #main-slider-swiper {
        margin-top: 0px !important;
    } */

    #tgpromo {
        margin-bottom: 12px !important;
        margin-top: 12px !important;
    }

    #web-header-buttons {
        height: 0px;
        width: 0px;
        overflow: hidden;
    }

    header {
        height: auto !important;
    }
}

@media (min-width: 1155px) {
    .mobile-boxes {
        display: none;
    }

    #mobile-header-buttons {
        display: none;
    }

    .modal--sign .modal-content {
        height: 728px !important;
    }

    .modal--sign .modal__content {
        height: 728px !important;
        display: flex !important;
        flex-direction: column;
        justify-content: center;
        position: relative;
    }

    .modal--sign .modal__content .modal__head {
        position: static !important;
    }

    .modal--sign .modal__content .modal__head .modal__close {
        position: absolute;
        top: 14px;
        right: 14px;
    }
}



#mobile-header-buttons {
    justify-content: flex-start;
}

#mobile-header-buttons .col-1 {
    width: 56px;
    max-width: 75px;
}


.promo-post__cover {
    aspect-ratio: 4/3;
}

.box-icon-item {
    /* background: linear-gradient(to right, #2d0607, #f92228); */
    /* border: 1px solid #f92228; */
    background-color: rgb(255 255 255 / 5%);
    border-radius: 4px;
    padding: 24px 0px;
    text-align: center;
    color: #fff;
    font-size: 14px;
}

.box-icon-item img {
    width: 24px;
    height: 24px;
    margin-bottom: 5px;
}

.box-icon-item:hover {
    cursor: pointer;
    background-color: rgba(255, 255, 255, 0.3);
}

.box-icon-item i {
    font-size: 24px;
    margin-bottom: 8px;
}


#mobile-header-buttons .manual-redi-button {
    height: 30px;
    width: 30px;
    margin-bottom: 4px;
}

#mobile-header-buttons .manual-redi-button svg {
    height: 22px;
}

.vip {
    aspect-ratio: 3.5/1.2;
    background: var(--tf-border);
}

.vip:before {
    background: url('https://betrediofficial.github.io/images/VipSlider2.png') center center / contain no-repeat;
    filter: none;
}

.vip__title {
    display: none;
}

.vip__btn {
    display: none;
}

.vip__text {
    display: none;
}

.pt-24 {
    padding-top: 0px !important;
}

#mobileboxes {
    margin-top: 0px !important;
}

.slot_pos,
.slot_title--no {
    visibility: hidden;
    display: none;
}


.slot__cover--no-layer img {
    height: 100%;
    border-radius: 8px;
    object-fit: cover;
}

.slot_pos,
.slot_title--no {
    visibility: hidden;
    display: none;
}


.slot__cover--no-layer img {
    height: 100%;
    border-radius: 8px;
    object-fit: cover;
}

.slot__title h3,
.slot__title .game-provider {
    display: none !important;
}

/*#sidebar-content{
  margin-top: 52px;
}*/

.header__content {
    gap: 20px;
}


/* .swiper {
  overflow: hidden !important;
}

.swiper-wrapper {
  display: flex !important;
}

.swiper-slide[style] {
  width: 100% !important;
  max-width: 100% !important;
  margin-right: 0 !important;
  flex-shrink: 0 !important;
}

.swiper-slide img {
  width: 100% !important;
  height: auto !important;
  object-fit: cover;
} */

#sportsCardsRow {
    display: flex;
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    -webkit-overflow-scrolling: touch;
    gap: 12px;
    padding-bottom: 8px;
    scrollbar-width: none;
    /* Firefox */
}

#sportsCardsRow::-webkit-scrollbar {
    display: none;
    /* Chrome/Safari */
}

#sportsCardsRow .card {
    flex: 0 0 auto;
    scroll-snap-align: start;
}

.sidebar__logo {
    width: 170px !important;
    left: 60px !important;
}



.mid-me {
    height: unset !important;
    width: unset !important;
}

footer {
    display: block !important;
}

#footer {
    display: block !important;
}

footer .footer__content {
    display: block !important;
}

#footer .footer__content {
    display: block !important;
}

/* #signup-modal .modal-dialog {
  max-width: 960px !important;
}

#signup-modal .modal-content {
  max-width: 960px !important;
}

#signup-modal .modal__content {
  max-width: 960px !important;
}

#signin-modal .modal-dialog {
  max-width: 720px !important;
}

#signin-modal .modal-content {
  max-width: 720px !important;
}

#signin-modal .modal__content {
  max-width: 720px !important;
} */

.sport-card img,
.otherGamesComponentLayout img {
    transition: 0.3s all ease;
}

.sport-card:hover img,
.otherGamesComponentLayout:hover img,
.extra-game:hover img {
    transform: scale(1.03) !important;
    opacity: 0.8 !important;
}

.hovered-effect {
    transition: 0.3s all ease;
}

.sport-card:hover .hovered-effect,
.otherGamesComponentLayout:hover .hovered-effect,
.extra-game:hover .hovered-effect {
    opacity: 1 !important;
}


/* #signup-modal .modal-dialog .modal__sign-img {
  width: 40%;
} */

/* #signup-modal .modal-dialog .right-col {
  width: 58%;
  float: right;
} */


/* Slider */

/* #main-slider .container {
  padding-left: 0px !important;
  padding-right: 0px !important;
  max-width: 100% !important;
  min-width: 100vw !important;
}

#main-slider .swiper-wrapper {
  align-items: center !important;
  justify-content: start !important;
}

#main-slider .swiper-wrapper .swiper-slide {
  margin-right: 0px !important;
  width: 100% !important;
}

#main-slider .swiper-button-prev,
#main-slider .swiper-button-next {
  display: none !important;
}

.swiper {
  padding-top: 16px;
}

#main-slider-swiper {
  margin-top: 22px;
} */

.bottom-menu-widget {
    transition: 0.3s all ease;
}

.bottom-menu-widget:hover {
    transform: translateY(-10px) !important;
}

/* SLIDER AYARLARI */

/* #main-slider .container {
  padding-left: 0px !important;
  padding-right: 0px !important;
  
  max-width: 100% !important;
}

@media screen and (min-width: 991px) {
#main-slider .container {
  padding-left: 0px !important;
  padding-right: 0px !important;
  
  max-width: 100% !important;
  padding: unset !important;
}

    #main-slider .swiper-slide > * {
   transform: translateX(-1.8vw);
  }

#main-slider .swiper-wrapper .swiper-slide {
  margin-right: 0px !important;
  width: 1659px !important; 
  width: inherit !important;
   max-width: 100vw !important;
  width: 100% !important;

  width: 100% !important;
      padding-left: 0;
  padding-right: 0;
  margin-left: 0;
  margin-right: 0 !important;

  transform: translateX(-1.8vw);
  transform: translateZ(0) !important; 
  margin-right: 8px !important;
}

  #main-slider .swiper-wrapper .swiper-slide > * {
    width: 100% !important;
  }

#main-slider.swiper-wrapper .swiper-slide .slide {
    width: 1659px !important;
   margin-left: -4vw !important;
}

  #comm100-container > div:nth-child(2) {
    display: block !important;
  }
}

#main-slider .swiper-wrapper {
  box-sizing: content-box !important;
 transform: translate3d(0, 0, 0) !important; 

  width: 100% !important;
  height: 100% !important;
  box-sizing: content-box !important;
}

.mySwiper {
  max-width: 100vw !important;
  width: 100% !important;
}

#main-slider .swiper-wrapper .swiper-slide a {
  width: 100% !important;
}

#main-slider .swiper-wrapper .swiper-slide .slide-image {
  border-radius: 0px !important;
}

#main-slider #main-slider-swiper {
  max-width: 100vw !important;
  width: 100% !important;
}

.swiper-button-prev {
  padding-left: 12px !important;
}

.swiper-button-next {
  padding-right: 12px !important;
} */


/* CAROUSEL */
@keyframes scrollAnimation {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(-50%);
    }
}

/* .providers--marquee--bg {
  position: relative;
  z-index: 0;
  height: 100%;
} */


.providers--marquee {
    display: inline-flex !important;
    gap: 10px !important;
    align-items: center !important;
    animation: scrollAnimation 125s linear infinite !important;
    overflow: hidden;
    white-space: nowrap;
}

.providers--marquee:hover {
    animation-play-state: paused !important;
}

.marquee-content {
    display: inline-flex;
}

.custom--providers--link {
    width: 140px;
    padding: 15px 10px;
    margin: 0px !important;
    display: inline-block;
    flex-shrink: 0;
}

.custom--providers--image {
    width: 100% !important;
    opacity: 0.9;
    transition: transform 0.3s;
}

.custom--providers--image:hover {
    transform: scale(1.1);
    opacity: 1;
}

/* .providers--marquee--bg::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background: linear-gradient(90deg, #9b000e 0%, #000 50%, #9b000e 100%);
  opacity: 0.1;
  pointer-events: none;
  z-index: 0;
} */

/* .providers--marquee--bg::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background: linear-gradient(90deg, #9b000e 0%, #000 50%, #9b000e 100%);
  opacity: 0.1;
  pointer-events: none;
  z-index: 0;
} */


/* */


/* .providers--marquee {
  display: inline-flex !important;
  overflow: hidden;
  position: relative;
  padding: 20px 0;
  white-space: nowrap;
  animation: scrollAnimation 150s linear infinite
}

.marquee-content {
  display: inline-flex;
  animation: marqueeAnim 30s linear infinite;
}

.providers--marquee:hover .marquee-content {
  animation-play-state: paused;
}

.custom--providers--link {
  width: 160px !important;
  padding: 15px 10px !important;
  margin: 0px !important;
  display: inline-block;
  flex-shrink: 0;
}

.custom--providers--image {
  height: 40px;
  opacity: 0.9;
  transition: transform 0.3s;
}

.custom--providers--image:hover {
  transform: scale(1.1);
  opacity: 1;
}

@keyframes marqueeAnim {
  0% {
    transform: translateX(0%);
  }
  100% {
    transform: translateX(-50%);
  }
} */

.custom--section--2 {
    padding-top: 0px !important;
}

.sidebar--active {
    z-index: 1055 !important;
}


.swiper-pagination {
    left: 50% !important;
    transform: translateX(-50%) !important;
}

.deposit__img {
    border-radius: 0px !important;
}


.filter__search,
.filter__sort {
    display: block !important;
}

.swiper-slide .mini-game {
    min-height: 120px;
}

.slider-hide-important {
    display: none !important;
}

/* #main-slider-swiper {
  display: none !important;
} */

#main__content {
    background: #000 !important;
}

.sidebar__links {
    margin-bottom: 16px !important;
}

#rtp-sorgu-bottom-sheet {
    scrollbar-width: none;
    /* Firefox */
    -ms-overflow-style: none;
    /* Internet Explorer 10+ */
}

#rtp-sorgu-bottom-sheet::-webkit-scrollbar {
    display: none;
    /* Chrome, Safari, Opera */
}


body.no-scroll {
    overflow: hidden !important;
}


/* a.sidebar__link--casino[href*="modal=bonus-request"] {
  display: none !important;
} */

.tournament__cover+.article {
    user-select: text !important;
}

#mini-slider-wrapper {
    margin-top: 20px;
}

.hm-row-bc .pb-component-wrapper:first-of-type {
    border: 3px solid #9b000e !important;
    border-radius: 14px !important;
    overflow: hidden !important;
}

.bottom-menu-widget {
    transition: transform 0.25s ease-out;
}

.bottom-menu-widget:hover {
    transform: translateY(-12px);
}

.sidebar__links-small {
    display: none !important;
}

.swiper-button-prev,
.swiper-button-next {
    color: yellow !important;
    transition: transform 0.35s ease-out;
}

.swiper-button-prev:hover,
.swiper-button-next:hover {
    transform: scale(125%);
}

.swiper-button-next {
    right: 6px !important;
}

.swiper-button-prev {
    left: 6px !important;
}

h1.section__title.section__title--head.text-uppercase.mt-4 {
    margin-bottom: 12px;
}

.sidebar__actions .sidebar__scheme {
    display: none;
}

/* .deposit-button {
  padding: 10px 0px;
  margin-top: 20px;
  background: linear-gradient(90deg, #3a0509, #7f161f, #db061b);
  transition: background 0.35s ease;
  border: none !important;
}

.deposit-button:hover {
  background: #db061b;
  color: white !important;
} */


.deposit-button {
    position: relative;
    overflow: hidden;
    padding: 12px 0px;
    margin-top: 20px;
    background: #ce8500 !important;
    color: white !important;
    border: none !important;
    cursor: pointer;
    z-index: 0;
    transition: background 0.3s ease;
    border-radius: 8px;
}

.deposit-button,
.deposit-button svg {
    color: #ffffff !important;
}

.deposit-button::before {
    content: "";
    position: absolute;
    inset: 0;
    background: #b90012;
    opacity: 0;
    transition: opacity 0.4s ease;
    z-index: -1;
}

.deposit-button:hover::before {
    opacity: 1;
}

.deposit-button>* {
    position: relative;
    z-index: 1;
}

.deposit-button svg {
    color: orange;
    width: 18px !important;
    height: 18px !important;
}

.deposit-button:hover svg {
    color: white !important;
}

.payment-method-box {
    border: 2px solid #ce8500 !important;
    background: #101010 !important;
}

img[alt="Canlı Sohbet penceresini aç"] {
    width: 120px;
    margin-bottom: 8px;
    margin-right: 20px;
}

.manual-redi-button {
    background-image: radial-gradient(circle, #ffdc00 0%, #ffa500 100%) !important;
    background-size: 100% 100% !important;
    color: white !important;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.6) !important;
    font-weight: bold !important;
    border: 1px solid #ce8500 !important;
}

.manual-redi-button svg,
.manual-redi-button i {
    filter: drop-shadow(1px 1px 2px rgba(0, 0, 0, 0.6)) !important;
}

.header__signup {
    background-image: radial-gradient(circle, #ffdc00 0%, #ffa500 100%) !important;
    background-size: 100% 100% !important;
    color: white !important;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.6) !important;
    font-weight: bold !important;
    border: 1px solid #ce8500 !important;
    padding: 0 15px !important;
    height: 42px !important;
    display: inline-flex !important;
    align-items: center;
    justify-content: center;
    border-radius: 8px !important;
    transition: 0.3s ease;
}

.header__signup:hover {
    filter: brightness(1.1);
    box-shadow: 0px 4px 15px rgba(255, 165, 0, 0.4) !important;
}

.sidebar__nav a span,
.sidebar__nav button span {
    background: radial-gradient(circle, #ffdc00 0%, #ffa500 100%) !important;
    color: white !important;
    text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.4) !important;
    font-weight: 700 !important;
    margin-top: -12px;
    padding: 2px 8px !important;
    font-size: 10px !important;
    margin-left: 8px;
    border-radius: 4px !important;
    border: 1px solid #ce8500 !important;
    height: auto !important;
    text-transform: uppercase !important;
    display: inline-block !important;
}

.header__logo {
    width: 90px !important;
    min-width: 80px !important;
}

.header__wallet-dropdown-btn {
    width: 100px !important;
    padding: 0 5px !important;
    justify-content: center !important;
    font-size: 12px !important;
}

.header__wallet-dropdown-btn div {
    gap: 15px !important;
}

.header__search-btnmob {
    margin-right: 5px !important;
}